| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
BaseObjectMemberFunction Class Referenceabstract

Base class of ObjectMemberFunction. More...

`#include <GaudiKernel/IUpdateManagerSvc.h>`

Inheritance diagram for BaseObjectMemberFunction:
[legend]

## Public Member Functions
virtual | ~BaseObjectMemberFunction ()=default
| Virtual destructor. More...
virtual StatusCode | operator() () const =0
virtual BaseObjectMemberFunction * | makeCopy () const =0
virtual const std::type_info & | type () const =0
virtual bool | match (BaseObjectMemberFunction *) const =0
virtual DataObject * | castToDataObject () const =0
virtual ValidDataObject * | castToValidDataObject () const =0
virtual void * | castToVoid () const =0

## Detailed Description

Base class of ObjectMemberFunction.

It is used to allow to use containers of different types of object member functions.

See also
  ObjectMemberFunction for details.

Author
  Marco Clemencic

Definition at line 30 of file IUpdateManagerSvc.h.

## Constructor & Destructor Documentation

virtual BaseObjectMemberFunction::~BaseObjectMemberFunction | ( |  | ) |
| virtual default

Virtual destructor.

## Member Function Documentation

virtual DataObject* BaseObjectMemberFunction::castToDataObject | ( |  | ) | const
| pure virtual

Implemented in ObjectMemberFunction< CallerClass >.

virtual ValidDataObject* BaseObjectMemberFunction::castToValidDataObject | ( |  | ) | const
| pure virtual

Implemented in ObjectMemberFunction< CallerClass >.

virtual void* BaseObjectMemberFunction::castToVoid | ( |  | ) | const
| pure virtual

Implemented in ObjectMemberFunction< CallerClass >.

virtual BaseObjectMemberFunction* BaseObjectMemberFunction::makeCopy | ( |  | ) | const
| pure virtual

Implemented in ObjectMemberFunction< CallerClass >.

virtual bool BaseObjectMemberFunction::match | ( | BaseObjectMemberFunction * |  | ) | const
| pure virtual

Implemented in ObjectMemberFunction< CallerClass >.

virtual StatusCode BaseObjectMemberFunction::operator() | ( |  | ) | const
| pure virtual

Implemented in ObjectMemberFunction< CallerClass >.

virtual const std::type_info& BaseObjectMemberFunction::type | ( |  | ) | const
| pure virtual

Implemented in ObjectMemberFunction< CallerClass >.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IUpdateManagerSvc.h